PUT Verify Email Update
Endpoint will do a customer account email update based on the confirmation code.
Path Parameters
- Type: stringcustomer
_account _id requiredCustomer account UUID
Headers
- Type: stringAcceptrequired
Accept header
- Type: stringAuthorizationrequired
Authorization header
- Type: stringContent
- Type requiredContent-Type header
- Type: stringA
P I - V E R S I O N requiredAPI version
- Type: stringApplicationrequired
Application key
- Type: stringX
- Request - I D requiredUnique request identifier
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
Body
application/json
- Type: numberconfirmation
_code
Responses
- application/json
- 400
Bad Request
- 401
Unauthorized
- 403
Forbidden
- 404
Not Found
Request Example for put/customer-accounts/{customer_account_id}/verify-email-update
curl https://api-public-demo.menu.app/api/customer-accounts/47bf5f70-3f23-11ed-936c-1a67b454859d/verify-email-update \
--request PUT \
--header 'Accept: application/json' \
--header 'Authorization: ' \
--header 'Content-Type: application/json' \
--header 'API-VERSION: ' \
--header 'Application: ' \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'X-QB-Enabled: true' \
--data '{
"confirmation_code": 213088
}'
{
"status": "OK",
"code": 200,
"data": {
"customer_account": {
"id": "6b49f310-3f23-11ed-936c-1a67b454859d",
"type_id": 1,
"reference_type": "CustomerAccount",
"first_name": "Ivan",
"last_name": "Djordjevic",
"email": "ivan.djordjevic@partech.com",
"confirmed": true,
"phone_number": "+381601111111",
"locale": "en",
"state": 1,
"demographics": [
{
"demographic_id": "6cf7ea5e-c58e-42f3-9a4a-7e93e67761d9",
"value": "2000-01-13"
}
],
"optin_status_email": 3,
"optin_status_pn": 3,
"has_pending_email_change": false,
"has_pending_phone_number_change": false,
"is_social": false,
"updated_at": "2023-04-13 06:36:22",
"created_at": "2023-04-12 13:06:13"
}
}
}